List message events
Returns the list of delivery events recorded for a message. Use this endpoint to list message events through the Samva email API.
Returns the list of delivery events recorded for a message.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^msg_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/messages/string/events"[ { "id": "string", "messageId": "string", "eventType": "string", "status": "string", "timestamp": "string", "metadata": {} }]Get email message details
Returns email delivery details for a message, optionally including signed URLs for its raw MIME, HTML, and text content.
Get message delivery status
Returns the current delivery status of a message by its ID. Use this endpoint to get message delivery status through the Samva email API.